import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'color_system_platform_interface.dart';

/// An implementation of [ColorSystemPlatform] that uses method channels.
class MethodChannelColorSystem extends ColorSystemPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('color_system');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
