import 'package:flutter_test/flutter_test.dart';
import 'package:color_system/color_system.dart';
import 'package:color_system/color_system_platform_interface.dart';
import 'package:color_system/color_system_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockColorSystemPlatform
    with MockPlatformInterfaceMixin
    implements ColorSystemPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final ColorSystemPlatform initialPlatform = ColorSystemPlatform.instance;

  test('$MethodChannelColorSystem is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelColorSystem>());
  });

  test('getPlatformVersion', () async {
    ColorSystem colorSystemPlugin = ColorSystem();
    MockColorSystemPlatform fakePlatform = MockColorSystemPlatform();
    ColorSystemPlatform.instance = fakePlatform;

    expect(await colorSystemPlugin.getPlatformVersion(), '42');
  });
}
